VkPhysicalDeviceImageFormatInfo2KHR Struct Reference

`#include <vulkan.h>`

## Data Fields

VkStructureType | sType
const void * | pNext
VkFormat | format
VkImageType | type
VkImageTiling | tiling
VkImageUsageFlags | usage
VkImageCreateFlags | flags

## Detailed Description

Definition at line 4006 of file vulkan.h.

## Field Documentation

## flags

VkImageCreateFlags VkPhysicalDeviceImageFormatInfo2KHR::flags

Definition at line 4013 of file vulkan.h.

## format

VkFormat VkPhysicalDeviceImageFormatInfo2KHR::format

Definition at line 4009 of file vulkan.h.

## pNext

const void* VkPhysicalDeviceImageFormatInfo2KHR::pNext

Definition at line 4008 of file vulkan.h.

## sType

VkStructureType VkPhysicalDeviceImageFormatInfo2KHR::sType

Definition at line 4007 of file vulkan.h.

## tiling

VkImageTiling VkPhysicalDeviceImageFormatInfo2KHR::tiling

Definition at line 4011 of file vulkan.h.

## type

VkImageType VkPhysicalDeviceImageFormatInfo2KHR::type

Definition at line 4010 of file vulkan.h.

## usage

VkImageUsageFlags VkPhysicalDeviceImageFormatInfo2KHR::usage

Definition at line 4012 of file vulkan.h.

The documentation for this struct was generated from the following file:

- src/video/khronos/vulkan/vulkan.h